Subject: Re: Forward-port a patch using git

From: Spelic <[email-masked]>
Date: Wed, 01 Dec 2010 19:11:23 +0100

On 12/01/2010 04:37 PM, Spelic wrote:
> Hi all
> I have patches (xyz.patch files) which apply cleanly to kernel 2.6.36 
> and 2.6.36.1 and do not apply cleanly on 2.6.37-rc4 (I mean they do 
> apply but with massive offsets...)
> I would like to forward-port them to 2.6.37-rc4, i.e. create 
> equivalent patch files that would apply cleanly on 2.6.37-rc4 with 
> zero offsets.
>

I found it myself, sorry for having asked.

It was:

checkout v2.6.36
apply 1 patch
commit
apply 1 patch
commit
...
rebase v2.6.37-rc4
git format-patch -o <destdir> -numpatches